# -*- coding: utf-8 -*-
from setuptools import setup, Extension

bitmaps = Extension(
    name="pyxforms.bitmaps",
    sources=["src/pyxforms/bitmaps.c"],
    libraries=["forms"],
)
box = Extension(
    name="pyxforms.box",
    sources=["src/pyxforms/box.c"],
    libraries=["forms"],
)
browser = Extension(
    name="pyxforms.browser",
    sources=["src/pyxforms/browser.c"],
    libraries=["forms"],
)
button = Extension(
    name="pyxforms.button",
    sources=["src/pyxforms/button.c"],
    libraries=["forms"],
)
choice = Extension(
    name="pyxforms.choice",
    sources=["src/pyxforms/choice.c"],
    libraries=["forms"],
)
clock = Extension(
    name="pyxforms.clock",
    sources=["src/pyxforms/clock.c"],
    libraries=["forms"],
)
counter = Extension(
    name="pyxforms.counter",
    sources=["src/pyxforms/counter.c"],
    libraries=["forms"],
)
dial = Extension(
    name="pyxforms.dial",
    sources=["src/pyxforms/dial.c"],
    libraries=["forms"],
)
forms = Extension(
    name="pyxforms.forms",
    sources=["src/pyxforms/forms.c"],
    libraries=["forms"],
)
frame = Extension(
    name="pyxforms.frame",
    sources=["src/pyxforms/frame.c"],
    libraries=["forms"],
)
goodies = Extension(
    name="pyxforms.goodies",
    sources=["src/pyxforms/goodies.c"],
    libraries=["forms"],
)
input = Extension(
    name="pyxforms.input",
    sources=["src/pyxforms/input.c"],
    libraries=["forms"],
)
menu = Extension(
    name="pyxforms.menu",
    sources=["src/pyxforms/menu.c"],
    libraries=["forms"],
)
objects = Extension(
    name="pyxforms.objects",
    sources=["src/pyxforms/objects.c"],
    libraries=["forms"],
)
pixmaps = Extension(
    name="pyxforms.pixmaps",
    sources=["src/pyxforms/pixmaps.c"],
    libraries=["forms"],
)
popups = Extension(
    name="pyxforms.popups",
    sources=["src/pyxforms/popups.c"],
    libraries=["forms"],
)
positioner = Extension(
    name="pyxforms.positioner",
    sources=["src/pyxforms/positioner.c"],
    libraries=["forms"],
)
slider = Extension(
    name="pyxforms.slider",
    sources=["src/pyxforms/slider.c"],
    libraries=["forms"],
)
text = Extension(
    name="pyxforms.text",
    sources=["src/pyxforms/text.c"],
    libraries=["forms"],
)
timer = Extension(
    name="pyxforms.timer",
    sources=["src/pyxforms/timer.c"],
    libraries=["forms"],
)
xforms = Extension(
    name="pyxforms.xforms",
    sources=["src/pyxforms/xforms.c"],
    libraries=["forms"],
)
xyplot = Extension(
    name="pyxforms.xyplot",
    sources=["src/pyxforms/xyplot.c"],
    libraries=["forms"],
)
setup(
    ext_modules=[
        bitmaps,
        box,
        browser,
        button,
        choice,
        clock,
        counter,
        dial,
        forms,
        frame,
        goodies,
        input,
        menu,
        objects,
        pixmaps,
        popups,
        positioner,
        slider,
        text,
        timer,
        xforms,
        xyplot,
    ],
)
